package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TUserFavorites;

/**
 * 常用功能收藏夹Mapper接口
 *
 * @author tony
 * @date 2024-07-03
 */
public interface TUserFavoritesMapper extends BaseMapper<TUserFavorites> //修改
{
    /**
     * 查询常用功能收藏夹
     *
     * @param id 常用功能收藏夹主键
     * @return 常用功能收藏夹
     */
    public TUserFavorites selectTUserFavoritesById(String id);

    /**
     * 查询常用功能收藏夹列表
     *
     * @param tUserFavorites 常用功能收藏夹
     * @return 常用功能收藏夹集合
     */
    public List<TUserFavorites> selectTUserFavoritesList(TUserFavorites tUserFavorites);

    /**
     * 新增常用功能收藏夹
     *
     * @param tUserFavorites 常用功能收藏夹
     * @return 结果
     */
    public int insertTUserFavorites(TUserFavorites tUserFavorites);

    /**
     * 修改常用功能收藏夹
     *
     * @param tUserFavorites 常用功能收藏夹
     * @return 结果
     */
    public int updateTUserFavorites(TUserFavorites tUserFavorites);

    /**
     * 删除常用功能收藏夹
     *
     * @param id 常用功能收藏夹主键
     * @return 结果
     */
    public int deleteTUserFavoritesById(String id);

    /**
     * 批量删除常用功能收藏夹
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUserFavoritesByIds(String[] ids);

    /**
     * 批量启用常用功能收藏夹
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTUserFavoritesByIds(String[] ids);

    /**
     * 批量禁用常用功能收藏夹
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTUserFavoritesByIds(String[] ids);

}
